Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsSyntaxId

    java.lang.Object
      |
      +--com.novell.service.nds.NdsSyntaxId

public class NdsSyntaxId
extends java.lang.Object

Provides attribute syntax IDs used to interpret the data of values stored in the Directory.

An attribute syntax consists of a single data type for which syntax matching rules and qualifiers or directives have been specified. The Syntax ID for each attribute syntax is a 32-bit integer used to identify the syntax. A method is provided for mapping each ID to its corresponding syntax string constant.

Field Summary
`static java.lang.String` | `BACK_LINK` Represents the string constant form of the Back Link syntax ID.
`static int` | `BACK_LINK_ID` Integer used to identify attributes whose values are used for Directory internal management.
`static java.lang.String` | `BOOLEAN` Represents the string constant form of the Boolean syntax ID.
`static int` | `BOOLEAN_ID` Integer used to identify attributes whose values represent TRUE (1) or FALSE (0).
`static java.lang.String` | `CASE_EXACT_STRING` Represents the string constant form of the Case Exact String syntax ID.
`static int` | `CASE_EXACT_STRING_ID` Integer used to identify attributes whose values are case-sensitive Unicode strings.
`static java.lang.String` | `CASE_IGNORE_LIST` Represents the string constant form of the Case Ignore List syntax ID.
`static int` | `CASE_IGNORE_LIST_ID` Integer used to identify attributes whose values are ordered sequences of strings for which the case (upper or lower) is not significant.
`static java.lang.String` | `CASE_IGNORE_STRING` Represents the string constant form of the Case Ignore String syntax ID.
`static int` | `CASE_IGNORE_STRING_ID` Integer used to identify attributes whose value are case-sensitive ordered sequences of Unicode strings.
`static java.lang.String` | `CLASS_NAME` Represents the string constant form of the Class Name syntax ID.
`static int` | `CLASS_NAME_ID` Integer used to identify attributes whose values represent object class names.
`static java.lang.String` | `COUNTER` Represents the string constant form of the Counter syntax ID.
`static int` | `COUNTER_ID` Integer used to identify attributes whose values are signed integers.
`static java.lang.String` | `DISTINGUISHED_NAME` Represents the string constant form of the Distinguished Name syntax ID.
`static int` | `DISTINGUISHED_NAME_ID` Integer used to identify the attributes whose values are Distinguished Names.
`static java.lang.String` | `EMAIL_ADDRESS` Represents the string constant form of the EMail Address syntax ID.
`static int` | `EMAIL_ADDRESS_ID` Integer used to identify attributes whose values represent e-mail addresses.
`static java.lang.String` | `FAX_NUMBER` Represents the string constant form of the Facsimile Telephone Number syntax ID.
`static int` | `FAX_NUMBER_ID` Integer used to identify attributes whose values are facsimile telephone numbers.
`static java.lang.String` | `HOLD` Represents the string constant form of the Hold syntax ID.
`static int` | `HOLD_ID` Integer used to identify attributes whose values are signed integers representing accounting quantities.
`static int` | `ID_COUNT` Signed integer representing the total number of syntax IDs.
`static java.lang.String` | `INTEGER` Represents the string constant form of the Integer syntax ID.
`static int` | `INTEGER_ID` Integer used to identify attributes whose values are signed integers.
`static java.lang.String` | `INTERVAL` Represents the string constant form of the Interval syntax ID.
`static int` | `INTERVAL_ID` Integer used to identify attributes whose values represent intervals of time in seconds.
`static java.lang.String` | `NET_ADDRESS` Represents the string constant form of the Network Address syntax ID.
`static int` | `NET_ADDRESS_ID` Integer used to identify attributes whose values are network addresses in the NetWare environment.
`static java.lang.String` | `NUMERIC_STRING` Represents the string constant form of the Numeric String syntax ID.
`static int` | `NUMERIC_STRING_ID` Integer used to identify attributes whose values are numeric strings.
`static java.lang.String` | `OBJECT_ACL` Represents the string constant form of the Object ACL syntax ID.
`static int` | `OBJECT_ACL_ID` Integer used to identify attributes whose values represent ACL entries.
`static java.lang.String` | `OCTET_LIST` Represents the string constant form of the Octet List syntax ID.
`static int` | `OCTET_LIST_ID` Integer used to identify attributes whose values are ordered sequences of octet strings.
`static java.lang.String` | `OCTET_STRING` Represents the string constant form of the Octet String syntax ID.
`static int` | `OCTET_STRING_ID` Integer used to identify attributes whose values are byte strings that are not interpreted by the Directory.
`static java.lang.String` | `PATH` Represents the string constant form of the Path syntax ID.
`static int` | `PATH_ID` Integer used to identify attributes whose values represent a file system path.
`static java.lang.String` | `POSTAL_ADDRESS` Represents the string constant form of the Postal Address syntax ID.
`static int` | `POSTAL_ADDRESS_ID` Integer used to identify attributes whose values are postal addresses.
`static java.lang.String` | `PRINTABLE_STRING` Represents the string constant form of the Printable String syntax ID.
`static int` | `PRINTABLE_STRING_ID` Integer used to identify attributes whose values are printable strings.
`static java.lang.String` | `REPLICA_POINTER` Represents the string constant form of the Replica Pointer syntax ID.
`static int` | `REPLICA_POINTER_ID` Integer used to identify attributes whose values represent partition replicas.
`static java.lang.String` | `STREAM` Represents the string constant form of the Stream syntax ID.
`static int` | `STREAM_ID` Integer used to identify attributes whose values represent files of arbitrary binary information.
`static java.lang.String` | `TELEPHONE_NUMBER` Represents the string constant form of the Telephone Number syntax ID.
`static int` | `TELEPHONE_NUMBER_ID` Integer used to identify attributes whose values are telephone numbers.
`static java.lang.String` | `TIME` Represents the string constant form of the Time syntax ID.
`static int` | `TIME_ID` Integer used to identify attributes whose values are unsigned integers representing time expressed in seconds.
`static java.lang.String` | `TIMESTAMP` Represents the string constant form of the Timestamp syntax ID.
`static int` | `TIMESTAMP_ID` Integer used to identify attributes whose values mark the time when a particular event occurred or will occur.
`static java.lang.String` | `TYPED_NAME` Represents the string constant form of the Typed Name syntax ID.
`static int` | `TYPED_NAME_ID` Integer used to identify attributes whose values represent a level and an interval associated with an object.
`static java.lang.String` | `UNKNOWN` Represents the string constant form of the Unknown syntax ID.
`static int` | `UNKNOWN_ID` Integer used to identify an Unknown attribute value.

Method Summary
`static java.lang.String` | `mapIdToString(int id)` Returns the syntax string based on the specified syntax ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_ID

    public static final int UNKNOWN_ID

  Integer used to identify an Unknown attribute value.

  (UNKNOWN_ID = 0)

  See Also:
    `UNKNOWN`

### DISTINGUISHED_NAME_ID

    public static final int DISTINGUISHED_NAME_ID

  Integer used to identify the attributes whose values are Distinguished Names.

  (DISTINGUISHED_NAME_ID = 1)

  See Also:
    `DISTINGUISHED_NAME`

### CASE_EXACT_STRING_ID

    public static final int CASE_EXACT_STRING_ID

  Integer used to identify attributes whose values are case-sensitive Unicode strings.

  (CASE_EXACT_STRING_ID = 2)

  See Also:
    `CASE_EXACT_STRING`

### CASE_IGNORE_STRING_ID

    public static final int CASE_IGNORE_STRING_ID

  Integer used to identify attributes whose value are case-sensitive ordered sequences of Unicode strings.

  (CASE_IGNORE_STRING_ID = 3)

  See Also:
    `CASE_IGNORE_STRING`

### PRINTABLE_STRING_ID

    public static final int PRINTABLE_STRING_ID

  Integer used to identify attributes whose values are printable strings.

  (PRINTABLE_STRING_ID = 4)

  See Also:
    `PRINTABLE_STRING`

### NUMERIC_STRING_ID

    public static final int NUMERIC_STRING_ID

  Integer used to identify attributes whose values are numeric strings.

  (NUMERIC_STRING_ID = 5)

  See Also:
    `NUMERIC_STRING`

### CASE_IGNORE_LIST_ID

    public static final int CASE_IGNORE_LIST_ID

  Integer used to identify attributes whose values are ordered sequences of strings for which the case (upper or lower) is not significant.

  (CASE_IGNORE_LIST_ID = 6)

  See Also:
    `CASE_IGNORE_LIST`

### BOOLEAN_ID

    public static final int BOOLEAN_ID

  Integer used to identify attributes whose values represent TRUE (1) or FALSE (0).

  (BOOLEAN_ID = 7)

  See Also:
    `BOOLEAN`

### INTEGER_ID

    public static final int INTEGER_ID

  Integer used to identify attributes whose values are signed integers.

  (INTEGER_ID = 8)

  See Also:
    `INTEGER`

### OCTET_STRING_ID

    public static final int OCTET_STRING_ID

  Integer used to identify attributes whose values are byte strings that are not interpreted by the Directory.

  (OCTET_STRING_ID = 9)

  See Also:
    `OCTET_STRING`

### TELEPHONE_NUMBER_ID

    public static final int TELEPHONE_NUMBER_ID

  Integer used to identify attributes whose values are telephone numbers.

  (TELEPHONE_NUMBER_ID = 10)

  See Also:
    `TELEPHONE_NUMBER`

### FAX_NUMBER_ID

    public static final int FAX_NUMBER_ID

  Integer used to identify attributes whose values are facsimile telephone numbers.

  (FAX_NUMBER_ID = 11)

  See Also:
    `FAX_NUMBER`

### NET_ADDRESS_ID

    public static final int NET_ADDRESS_ID

  Integer used to identify attributes whose values are network addresses in the NetWare environment.

  (NET_ADDRESS_ID = 12)

  See Also:
    `NET_ADDRESS`

### OCTET_LIST_ID

    public static final int OCTET_LIST_ID

  Integer used to identify attributes whose values are ordered sequences of octet strings.

  (OCTET_LIST_ID = 13)

  See Also:
    `OCTET_LIST`

### EMAIL_ADDRESS_ID

    public static final int EMAIL_ADDRESS_ID

  Integer used to identify attributes whose values represent e-mail addresses.

  (EMAIL_ADDRESS_ID = 14)

  See Also:
    `EMAIL_ADDRESS`

### PATH_ID

    public static final int PATH_ID

  Integer used to identify attributes whose values represent a file system path.

  (PATH_ID = 15)

  See Also:
    `PATH`

### REPLICA_POINTER_ID

    public static final int REPLICA_POINTER_ID

  Integer used to identify attributes whose values represent partition replicas.

  (REPLICA_POINTER_ID = 16)

  See Also:
    `REPLICA_POINTER`

### OBJECT_ACL_ID

    public static final int OBJECT_ACL_ID

  Integer used to identify attributes whose values represent ACL entries.

  (OBJECT_ACL_ID = 17)

  See Also:
    `OBJECT_ACL`

### POSTAL_ADDRESS_ID

    public static final int POSTAL_ADDRESS_ID

  Integer used to identify attributes whose values are postal addresses.

  (POSTAL_ADDRESS_ID = 18)

  See Also:
    `POSTAL_ADDRESS`

### TIMESTAMP_ID

    public static final int TIMESTAMP_ID

  Integer used to identify attributes whose values mark the time when a particular event occurred or will occur.

  (TIMESTAMP_ID = 19)

  See Also:
    `TIMESTAMP`

### CLASS_NAME_ID

    public static final int CLASS_NAME_ID

  Integer used to identify attributes whose values represent object class names.

  (CLASS_NAME_ID = 20)

  See Also:
    `CLASS_NAME`

### STREAM_ID

    public static final int STREAM_ID

  Integer used to identify attributes whose values represent files of arbitrary binary information.

  (STREAM_ID = 21)

  See Also:
    `STREAM`

### COUNTER_ID

    public static final int COUNTER_ID

  Integer used to identify attributes whose values are signed integers.

  (COUNTER_ID = 22)

  See Also:
    `COUNTER`

### BACK_LINK_ID

    public static final int BACK_LINK_ID

  Integer used to identify attributes whose values are used for Directory internal management.

  (BACK_LINK_ID = 23)

  See Also:
    `BACK_LINK`

### TIME_ID

    public static final int TIME_ID

  Integer used to identify attributes whose values are unsigned integers representing time expressed in seconds.

  (TIME_ID = 24)

  See Also:
    `TIME`

### TYPED_NAME_ID

    public static final int TYPED_NAME_ID

  Integer used to identify attributes whose values represent a level and an interval associated with an object.

  (TYPED_NAME_ID = 25)

  See Also:
    `TYPED_NAME`

### HOLD_ID

    public static final int HOLD_ID

  Integer used to identify attributes whose values are signed integers representing accounting quantities.

  (HOLD_ID = 26)

  See Also:
    `HOLD`

### INTERVAL_ID

    public static final int INTERVAL_ID

  Integer used to identify attributes whose values represent intervals of time in seconds.

  (INTERVAL_ID = 27)

  See Also:
    `INTERVAL`

### ID_COUNT

    public static final int ID_COUNT

  Signed integer representing the total number of syntax IDs.

  (ID_COUNT = 28)

### UNKNOWN

    public static final java.lang.String UNKNOWN

  Represents the string constant form of the Unknown syntax ID.

  (UNKNOWN = "Unknown")

  See Also:
    `NdsUnknown`

### DISTINGUISHED_NAME

    public static final java.lang.String DISTINGUISHED_NAME

  Represents the string constant form of the Distinguished Name syntax ID.

  (DISTINGUISHED_NAME = "Distinguished Name")

  See Also:
    `NdsDistinguishedName`

### CASE_EXACT_STRING

    public static final java.lang.String CASE_EXACT_STRING

  Represents the string constant form of the Case Exact String syntax ID.

  (CASE_EXACT_STRING = "Case Exact String")

  See Also:
    `NdsCaseExactString`

### CASE_IGNORE_STRING

    public static final java.lang.String CASE_IGNORE_STRING

  Represents the string constant form of the Case Ignore String syntax ID.

  (CASE_IGNORE_STRING = "Case Ignore String")

  See Also:
    `NdsCaseIgnoreString`

### PRINTABLE_STRING

    public static final java.lang.String PRINTABLE_STRING

  Represents the string constant form of the Printable String syntax ID.

  (PRINTABLE_STRING = "Printable String")

  See Also:
    `NdsPrintableString`

### NUMERIC_STRING

    public static final java.lang.String NUMERIC_STRING

  Represents the string constant form of the Numeric String syntax ID.

  (NUMERIC_STRING = "Numeric String")

  See Also:
    `NdsNumericString`

### CASE_IGNORE_LIST

    public static final java.lang.String CASE_IGNORE_LIST

  Represents the string constant form of the Case Ignore List syntax ID.

  (CASE_IGNORE_LIST = "Case Ignore List")

  See Also:
    `NdsCaseIgnoreList`

### BOOLEAN

    public static final java.lang.String BOOLEAN

  Represents the string constant form of the Boolean syntax ID.

  (BOOLEAN = "Boolean")

  See Also:
    `NdsBoolean`

### INTEGER

    public static final java.lang.String INTEGER

  Represents the string constant form of the Integer syntax ID.

  (INTEGER = "Integer")

  See Also:
    `NdsInteger`

### OCTET_STRING

    public static final java.lang.String OCTET_STRING

  Represents the string constant form of the Octet String syntax ID.

  (OCTET_STRING = "Octet String")

  See Also:
    `NdsOctetString`

### TELEPHONE_NUMBER

    public static final java.lang.String TELEPHONE_NUMBER

  Represents the string constant form of the Telephone Number syntax ID.

  (TELEPHONE_NUMBER = "Telephone Number")

  See Also:
    `NdsTelephoneNumber`

### FAX_NUMBER

    public static final java.lang.String FAX_NUMBER

  Represents the string constant form of the Facsimile Telephone Number syntax ID.

  (FAX_NUMBER = "Facsimile Telephone Number")

  See Also:
    `NdsFAXNumber`

### NET_ADDRESS

    public static final java.lang.String NET_ADDRESS

  Represents the string constant form of the Network Address syntax ID.

  (NET_ADDRESS = "Network Address")

  See Also:
    `NdsNetAddress`

### OCTET_LIST

    public static final java.lang.String OCTET_LIST

  Represents the string constant form of the Octet List syntax ID.

  (OCTET_LIST = "Octet List")

  See Also:
    `NdsOctetList`

### EMAIL_ADDRESS

    public static final java.lang.String EMAIL_ADDRESS

  Represents the string constant form of the EMail Address syntax ID.

  (EMAIL_ADDRESS = "EMail Address")

  See Also:
    `NdsEMailAddress`

### PATH

    public static final java.lang.String PATH

  Represents the string constant form of the Path syntax ID.

  (PATH = "Path")

  See Also:
    `NdsPath`

### REPLICA_POINTER

    public static final java.lang.String REPLICA_POINTER

  Represents the string constant form of the Replica Pointer syntax ID.

  (REPLICA_POINTER = "Replica Pointer")

  See Also:
    `NdsReplicaPointer`

### OBJECT_ACL

    public static final java.lang.String OBJECT_ACL

  Represents the string constant form of the Object ACL syntax ID.

  (OBJECT_ACL = "Object ACL")

  See Also:
    `NdsObjectACL`

### POSTAL_ADDRESS

    public static final java.lang.String POSTAL_ADDRESS

  Represents the string constant form of the Postal Address syntax ID.

  (POSTAL_ADDRESS = "Postal Address")

  See Also:
    `NdsPostalAddress`

### TIMESTAMP

    public static final java.lang.String TIMESTAMP

  Represents the string constant form of the Timestamp syntax ID.

  (TIMESTAMP = "Timestamp")

  See Also:
    `NdsTimestamp`

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Represents the string constant form of the Class Name syntax ID.

  (CLASS_NAME = "Class Name")

  See Also:
    `NdsClassName`

### STREAM

    public static final java.lang.String STREAM

  Represents the string constant form of the Stream syntax ID.

  (STREAM = "Stream")

  See Also:
    `NdsStream`

### COUNTER

    public static final java.lang.String COUNTER

  Represents the string constant form of the Counter syntax ID.

  (COUNTER = "Counter")

  See Also:
    `NdsCounter`

### BACK_LINK

    public static final java.lang.String BACK_LINK

  Represents the string constant form of the Back Link syntax ID.

  (BACK_LINK = "Back Link")

  See Also:
    `NdsBackLink`

### TIME

    public static final java.lang.String TIME

  Represents the string constant form of the Time syntax ID.

  (TIME = "Time")

  See Also:
    `NdsTime`

### TYPED_NAME

    public static final java.lang.String TYPED_NAME

  Represents the string constant form of the Typed Name syntax ID.

  (TYPED_NAME = "Typed Name")

  See Also:
    `NdsTypedName`

### HOLD

    public static final java.lang.String HOLD

  Represents the string constant form of the Hold syntax ID.

  (HOLD = "Hold")

  See Also:
    `NdsHold`

### INTERVAL

    public static final java.lang.String INTERVAL

  Represents the string constant form of the Interval syntax ID.

  (INTERVAL = "Interval")

  See Also:
    `NdsInterval`

Method Detail

### mapIdToString

    public static java.lang.String mapIdToString(int id)

  Returns the syntax string based on the specified syntax ID.

  Maps each syntax ID to its corresponding syntax string constant.

  Parameters:
    `id` - The specified syntax ID.
  Returns:
    The syntax string identified by the syntax ID parameter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD